using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 评价风险记录明细表教育培训措施
    /// </summary>
    [Description("评价风险记录明细表教育培训措施")]
    public class T_HM_EVALUATE_RESULT_RISK_EDUCATION_MEASURES : MesEntityBase
    {
        /// <summary>
        /// 评价风险记录明细表ID
        /// </summary>
        [Description("评价风险记录明细表ID")]
        [DataFieldForeignKey("Nav_EvaluationResultRisk", "Nav_EvaluateRiskEducationMeasures")]
        public Guid EVALUATION_RESULT_RISK_ID { get; set; }

        /// <summary>
        /// 教育培训措施
        /// </summary>
        [Description("教育培训措施")]
        [DataFieldForeignKey("Nav_EducationMeasures")]
        [FormFieldEdit]
        public Guid EDUCATION_MEASURES_ID { get; set; }

        /// <summary>
        /// 导航属性：评价风险记录明细表
        /// </summary>
        [Description("导航属性：评价风险记录明细表")]
        public T_HM_EVALUATE_RESULT_RISK Nav_EvaluationResultRisk { get; set; }

        /// <summary>
        /// 导航属性：教育培训措施
        /// </summary>
        [Description("导航属性：教育培训措施")]
        public T_HM_EDUCATION_MEASURES Nav_EducationMeasures { get; set; }
    }
}
